import request from '@/utils/request-gat'

//熔断列表查询
export function GetFusingList (params) {
  return request({
    url: '/api/Fusing/GetFusingList',
    method: 'post',
    data: params
  })
}

//新增熔断
export function addFusingList (params) {
  return request({
    url: '/api/Fusing/EditFusingInfo',
    method: 'post',
    data: params
  })
}

//熔断详情
export function GetFusingById (params) {
  return request({
    url: '/api/Fusing/GetFusingById',
    method: 'post',
    data: params
  })
}

//删除熔断
export function DeleteFusingInfo (params) {
  return request({
    url: '/api/Fusing/DeleteFusingInfo',
    method: 'post',
    data: params
  })
}

//状态变更
export function UpdateFusingStatusPatch (params) {
  return request({
    url: '/api/Fusing/UpdateFusingStatusPatch',
    method: 'post',
    data: params
  })
}

//业务服务列表信息
export function GateWayBusinessGetList (params) {
  return request({
    url: '/api/Business/GateWayBusinessGetList',
    method: 'post',
    data: params
  })
}

//熔断规则批量关联路由信息
export function ChangeBusinessFusingRelation (params) {
  return request({
    url: '/api/Fusing/ChangeBusinessFusingRelation',
    method: 'post',
    data: params
  })
}

//选中路由信息
export function GetRelBusinessByFusing (params) {
  return request({
    url: '/api/Fusing/GetRelBusinessByFusing',
    method: 'post',
    data: params
  })
}

//未选中路由信息
export function GetBusinessByFusing (params) {
  return request({
    url: '/api/Fusing/GetBusinessByFusing',
    method: 'post',
    data: params
  })
}


//限流列表查询
export function GetLimitList (params) {
  return request({
    url: '/api/Limit/GetLimitList',
    method: 'post',
    data: params
  })
}

//新增限流
export function EditLimitInfo (params) {
  return request({
    url: '/api/Limit/EditLimitInfo',
    method: 'post',
    data: params
  })
}

//删除限流
export function DeleteLimitInfo (params) {
  return request({
    url: '/api/Limit/DeleteLimitInfo',
    method: 'post',
    data: params
  })
}

//状态变更
export function UpdateLimitStatusPatch (params) {
  return request({
    url: '/api/Limit/UpdateLimitStatusPatch',
    method: 'post',
    data: params
  })
}

//限流详情
export function GetLimitById (params) {
  return request({
    url: '/api/Limit/GetLimitById',
    method: 'post',
    data: params
  })
}

//限流规则批量关联路由信息
export function ChangeBusinessLimitRelation (params) {
  return request({
    url: '/api/Limit/ChangeBusinessLimitRelation',
    method: 'post',
    data: params
  })
}

//根据限流规则获取路由信息
export function GetbusinessByLimit (params) {
  return request({
    url: '/api/Limit/GetbusinessByLimit',
    method: 'post',
    data: params
  })
}