import store from '@/store'
let ws = null
let nums = 0
export function wsSocket () {

  ws = new WebSocket(`${PLATFROM_CONFIG.socketUrl}`)

  ws.onopen = function () {
    console.log('ws打开')
  }

  ws.onmessage = function (res) {
    const datas = JSON.parse(res.data)
    datas['isSocket'] = true
    store.dispatch('app/getWsData', datas)
  }

  ws.onerror = function (err) {
    console.log('ws错误', err)
  }

  ws.onclose = function () {
    nums++
    console.log('ws关闭')
    console.log('自动重连次数', nums)
    if (nums < 10) {
      wsSocket()
    } else {
      console.log('ws连接超时')
    }
  }
}

export function wsSendData (msg) {
  if (ws) {
    ws.send(msg)
  }
}

export function wsSocketClose () {
  if (ws) {
    ws.close()
  }
}